/*
    Copyright (C) 1996-2000  Ulric Eriksson <ulric@siag.nu>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA.
*/

extern int font_height(int);
extern int font_ascent(int);
extern int font_descent(int);

extern unsigned long get_color(int);

/* and now the new format code */
/* Here, the red, green and blue fields are present despite that
   identical fields exist in the XColor structure. This is to allow
   non-X ports.
*/
typedef struct {
	char *name;
	unsigned short red, green, blue;
	char need_init;
} siag_color;

/* this structure holds the XLFD name including point size and resolution,
   the Postscript name and the corresponding X font structure */
typedef struct {
	int name;	/* index into fontname table */
	char *x_name;	/* encoded X font name */
	char *ps_name;	/* encoded PS font name */
	char *t1_name;	/* type 1 */
	int size;	/* in decipoints */
	char bold, italic;
} siag_font;

extern siag_color color_table[];
extern siag_font font_table[];
extern int lookup_color(char *);
extern int lookup_font(char *, int, int, int);


